Page MenuHomePhabricator

Watchlist shows pages still bold when "mark all pages as read" button clicked
Closed, ResolvedPublic

Description

I reported this on fiwiki over a week ago. It's happened to me only on fiwiki.

So, how it goes for me:

  1. Go to check your wathclist
  2. When there are some unvisited pages (showing bolded) click "mark all pages as read"
  3. Those bolded pages are still bold, but if you refresh the page after it, they are not bold anymore.

This only happens sometimes, not even every day. I'm using Firefox (the newest version)
I think that number of pages on my watchlist has something to do with this. Currently I have 9929 pages there.
Also another user on fiwiki wrote that he/she has the same issue. He told s/he has 9282 pages on their watchlist.

Btw, this seems to be the same as many years ago reported T9542.

Details

Related Gerrit Patches:

Event Timeline

Stryn created this task.Aug 4 2015, 6:48 PM
Stryn raised the priority of this task from to Needs Triage.
Stryn updated the task description. (Show Details)
Stryn added a project: MediaWiki-General.
Stryn added a subscriber: Stryn.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 6:48 PM
Aklapper renamed this task from Watchlist shows pages still bold when "mark all pages as read" button clicked to Watchlist shows pages still bold when "mark all pages as read" button clicked on fiwiki.Aug 5 2015, 10:08 AM
Aklapper set Security to None.
Glaisher added a subscriber: Glaisher.

Maybe be a slave lag issue?

Glaisher added a subscriber: aaron.
Stryn renamed this task from Watchlist shows pages still bold when "mark all pages as read" button clicked on fiwiki to Watchlist shows pages still bold when "mark all pages as read" button clicked.Aug 12 2015, 10:07 AM

I increased the size (to 9950 pages) of my watchlist on Meta-wiki (to test is it only happening on fiwiki or not), and now the same has happened to me there also.

From metawiki:

EXPLAIN SELECT 1 FROM watchlist WHERE wl_user=<Stryn ID>;
stdClass Object
(
    [id] => 1
    [select_type] => SIMPLE
    [table] => watchlist
    [type] => ref
    [possible_keys] => wl_user,wl_user_notificationtimestamp
    [key] => wl_user_notificationtimestamp
    [key_len] => 4
    [ref] => const
    [rows] => 28920
    [Extra] => Using index
)
> EXPLAIN SELECT 1 FROM watchlist WHERE wl_user=<Stryn ID>AND wl_notificationtimestamp IS NOT NULL;
stdClass Object
(
    [id] => 1
    [select_type] => SIMPLE
    [table] => watchlist
    [type] => range
    [possible_keys] => wl_user,wl_user_notificationtimestamp
    [key] => wl_user_notificationtimestamp
    [key_len] => 21
    [ref] => 
    [rows] => 16
    [Extra] => Using where; Using index
)

I'll modify MediaWiki to use the later query.

Change 231185 had a related patch set uploaded (by Aaron Schulz):
Optimized notification timestamp clearing

https://gerrit.wikimedia.org/r/231185

Change 231185 merged by jenkins-bot:
Optimized notification timestamp clearing

https://gerrit.wikimedia.org/r/231185

@Stryn Do you see this issue now? Can we close this?

Stryn closed this task as Resolved.Sep 4 2015, 5:29 PM
Stryn claimed this task.

@Stryn Do you see this issue now? Can we close this?

I haven't seen it anymore. Close please.

aaron added a comment.Sep 4 2015, 5:43 PM

5781d545452c31e probably fully resolved this.